from datetime import datetime
from typing import List, Union, Dict
from pydantic import BaseModel
from typing import Optional


class interview_record(BaseModel):
    uid: str  # 简历的唯一id
    name: str  # 求职者名字
    interview_name: str  # 面试官名字
    hr_name: str  # 人事名字
    star_time: str  # 面试开始时间
    interview_sign: int  # 是否签到
    job_id: str  # 我们自己招聘的职位id
    job_names: str  # 我们自己招聘的职位名
    create_date: datetime = datetime.now()
